xcb_input_xi_passive_ungrab_device(3)

NAME
xcb_input_xi_passive_ungrab_device -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_xi_passive_ungrab_device(xcb_connection_t *conn, xcb_window_t grab_window, uint32_t detail, xcb_input_device_id_t deviceid, uint16_t num_modifiers, uint8_t grab_type, const uint32_t *modifiers);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

grab_window
    TODO: NOT YET DOCUMENTED.

detail
    TODO: NOT YET DOCUMENTED.

deviceid
    TODO: NOT YET DOCUMENTED.

num_modifiers
    TODO: NOT YET DOCUMENTED.

grab_type
    TODO: NOT YET DOCUMENTED.

modifiers
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_xi_passive_ungrab_device_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.